## com.thingmagic
Class Gen2.Select

    java.lang.Object
      com.thingmagic.Gen2.Select

All Implemented Interfaces:
  TagFilter

Enclosing class:
  Gen2

    public static class Gen2.Select

extends java.lang.Object
implements TagFilter

Representation of a Gen2 Select operation

Field Summary
`Gen2.Bank` `bank` The memory bank in which to compare the mask
`int` `bitLength` The length (in bits) of the mask
`int` `bitPointer` The location (in bits) at which to begin comparing the mask
`boolean` `invert` Whether to invert the selection (deselect tags that meet the comparison and vice versa).
`byte[]` `mask` The mask value to compare with the specified region of tag memory, MSB first

Constructor Summary
`Gen2.Select(boolean invert, Gen2.Bank bank, int bitPointer, int bitLength, byte[] mask)`

Method Summary
`boolean` `matches(TagData t)` Test if a tag matches this filter.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### invert

    public boolean invert

  Whether to invert the selection (deselect tags that meet the comparison and vice versa).

### bank

    public Gen2.Bank bank

  The memory bank in which to compare the mask

### bitPointer

    public int bitPointer

  The location (in bits) at which to begin comparing the mask

### bitLength

    public int bitLength

  The length (in bits) of the mask

### mask

    public byte[] mask

  The mask value to compare with the specified region of tag memory, MSB first

Constructor Detail

### Gen2.Select

    public Gen2.Select(boolean invert,
                       Gen2.Bank bank,
                       int bitPointer,
                       int bitLength,
                       byte[] mask)

Method Detail

### matches

    public boolean matches(TagData t)

  Description copied from interface: `TagFilter`
  Test if a tag matches this filter. Only applies to selects based on the EPC.

  Specified by:
    `matches` in interface `TagFilter`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`